Package org.gitana.platform.client.deletion

# Class DeletionImpl

java.lang.Object
org.gitana.platform.support.GitanaObjectImpl
org.gitana.platform.client.document.DocumentImpl
org.gitana.platform.client.platform.AbstractPlatformDocumentImpl
org.gitana.platform.client.repository.AbstractRepositoryDocumentImpl
org.gitana.platform.client.deletion.DeletionImpl

All Implemented Interfaces:
  `Serializable`, `Deletion`, `Document`, `PlatformDocument`, `RepositoryDocument`, `Copyable`, `Referenceable`, `Selfable`, `TitleDescription`, `Transferable`, `TypedID`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`

public class DeletionImpl extends AbstractRepositoryDocumentImpl implements Deletion
Deletion

Author:
  uzi
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.gitana.platform.support.GitanaObjectImpl

`serialVersionUID`

### Fields inherited from interface org.gitana.platform.client.deletion.Deletion

`FIELD_DELETION, FIELD_DELETION_ASSOCIATION, FIELD_DELETION_CHANGESET_ID, FIELD_DELETION_DELETED_BY, FIELD_DELETION_DELETED_ON, FIELD_DELETION_NODE_ID, FIELD_DELETION_TRANSACTION`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`DeletionImpl(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
Existing node constructor.

## Method Summary

Modifier and Type
Method
Description
`protected com.fasterxml.jackson.databind.node.ObjectNode`
`acquireDeletion()`
`void`
`delete()`
Delete
`boolean`
`equals(Object obj)`
`Branch`
`getBranch()`
`String`
`getBranchId()`
`boolean`
`getDeletionAssociation()`
`String`
`getDeletionChangesetId()`
`String`
`getDeletionDeletedBy()`
`Calendar`
`getDeletionDeletedOn()`
`String`
`getDeletionNodeId()`
`boolean`
`getDeletionTransaction()`
`protected Driver`
`getDriver()`
`protected ObjectFactory`
`getFactory()`
`protected Remote`
`getRemote()`
`protected String`
`getResourceUri()`
`String`
`getTypeId()`
`void`
`reload()`
Reload
`void`
`restore()`
`void`
`restore(com.fasterxml.jackson.databind.node.ObjectNode data)`
`void`
`update()`
Update

### Methods inherited from class org.gitana.platform.client.repository.AbstractRepositoryDocumentImpl

`getRepository, getRepositoryId, ref`

### Methods inherited from class org.gitana.platform.client.platform.AbstractPlatformDocumentImpl

`copy, copy, copyAsync, copyAsync, exportArchive, exportArchive, exportArchive, getCluster, getPlatform, getPlatformId, importArchive, importArchive, importArchive`

### Methods inherited from class org.gitana.platform.client.document.DocumentImpl

`dateCreated, dateModified, getCreatedBy, getDescription, getId, getModifiedBy, getSystemObject, getTitle, isSaved, mergeProperties, mergePropertyIfExists, reload, reload, setDescription, setId, setSaved, setTitle`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetFloat, _objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatform, getPlatformId`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.repository.RepositoryDocument

`getRepository, getRepositoryId`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId`

## Constructor Details

### DeletionImpl

public DeletionImpl(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)
Existing node constructor.

Parameters:
  `branch` -
  `obj` -
  `isSaved` -

## Method Details

### getResourceUri

protected String getResourceUri()

Specified by:
  `getResourceUri` in class `AbstractPlatformDocumentImpl`

### getFactory

protected ObjectFactory getFactory()

Overrides:
  `getFactory` in class `AbstractPlatformDocumentImpl`

### getDriver

protected Driver getDriver()

Overrides:
  `getDriver` in class `AbstractPlatformDocumentImpl`

### getRemote

protected Remote getRemote()

Overrides:
  `getRemote` in class `AbstractPlatformDocumentImpl`

### getTypeId

public String getTypeId()

Specified by:
  `getTypeId` in interface `TypedID`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### update

public void update()
Description copied from interface: `Selfable`
Update

Specified by:
  `update` in interface `Selfable`

### delete

public void delete()
Description copied from interface: `Selfable`
Delete

Specified by:
  `delete` in interface `Selfable`

### reload

public void reload()
Description copied from interface: `Selfable`
Reload

Specified by:
  `reload` in interface `Selfable`

### getBranch

public Branch getBranch()

Specified by:
  `getBranch` in interface `Deletion`

### getBranchId

public String getBranchId()

Specified by:
  `getBranchId` in interface `Deletion`

### acquireDeletion

protected com.fasterxml.jackson.databind.node.ObjectNode acquireDeletion()

### getDeletionNodeId

public String getDeletionNodeId()

Specified by:
  `getDeletionNodeId` in interface `Deletion`

### getDeletionDeletedOn

public Calendar getDeletionDeletedOn()

Specified by:
  `getDeletionDeletedOn` in interface `Deletion`

### getDeletionDeletedBy

public String getDeletionDeletedBy()

Specified by:
  `getDeletionDeletedBy` in interface `Deletion`

### getDeletionChangesetId

public String getDeletionChangesetId()

Specified by:
  `getDeletionChangesetId` in interface `Deletion`

### getDeletionTransaction

public boolean getDeletionTransaction()

Specified by:
  `getDeletionTransaction` in interface `Deletion`

### getDeletionAssociation

public boolean getDeletionAssociation()

Specified by:
  `getDeletionAssociation` in interface `Deletion`

### restore

public void restore()

Specified by:
  `restore` in interface `Deletion`

### restore

public void restore(com.fasterxml.jackson.databind.node.ObjectNode data)

Specified by:
  `restore` in interface `Deletion`